Bug 737183 - Provide native systemd service file
Provide native systemd service file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-09-09 15:47 EDT by Jóhann B. Guðmundsson
Modified: 2015-01-06 15:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-06 15:34:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
git socket (116 bytes, text/plain)
2011-09-09 15:48 EDT, Jóhann B. Guðmundsson
no flags Details
git service (262 bytes, text/plain)
2011-09-09 15:48 EDT, Jóhann B. Guðmundsson
no flags Details
git service (247 bytes, text/plain)
2011-09-10 11:51 EDT, Jóhann B. Guðmundsson
no flags Details
Updated git.service (265 bytes, text/plain)
2013-04-26 12:00 EDT, Zbigniew Jędrzejewski-Szmek
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-09-09 15:47:48 EDT
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-09-09 15:48:34 EDT
Created attachment 522394 [details]
git socket
Comment 2 Jóhann B. Guðmundsson 2011-09-09 15:48:56 EDT
Created attachment 522395 [details]
git service
Comment 3 Jóhann B. Guðmundsson 2011-09-09 15:50:35 EDT
Passes simple telnet test...

[root@valhalla system]# systemctl start git.socket
[root@valhalla system]# systemctl status git.socket
git.socket - Git Activation Socket
	  Loaded: loaded (/lib/systemd/system/git.socket)
	  Active: active (listening) since Fri, 09 Sep 2011 19:45:07 +0000; 10s ago
	Accepted: 0; Connected: 0
	  CGroup: name=systemd:/system/git.socket
[root@valhalla system]# telnet localhost 9418
Trying ::1...
Connected to localhost.
Escape character is '^]'.

And note there is still a (tight) window to have this in F16
Comment 4 Jóhann B. Guðmundsson 2011-09-10 11:51:37 EDT
Created attachment 522535 [details]
git service
Comment 5 Jóhann B. Guðmundsson 2011-09-10 11:53:21 EDT
Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 6 Mathieu Bridon 2012-06-08 03:47:42 EDT
So, I'm using something very similar here, with the difference that I added "Group=nobody". Quite happy about it, it works nicely.

Johann, what's the point of the "After=local-fs.target"? Isn't that part of the default dependencies?

Chris, any plan to push that to Fedora 18? :)
Comment 7 Jóhann B. Guðmundsson 2012-06-08 04:46:45 EDT
(In reply to comment #6)
> So, I'm using something very similar here, with the difference that I added
> "Group=nobody". Quite happy about it, it works nicely.
> 
> Johann, what's the point of the "After=local-fs.target"? Isn't that part of
> the default dependencies?. 

There are several things that are default now but weren't not hence the unit clean-up process [1] to get things in sync with upstream.

1. http://fedoraproject.org/wiki/Features/Systemd-unit-cleanup
Comment 8 Fedora End Of Life 2013-04-03 10:10:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Zbigniew Jędrzejewski-Szmek 2013-04-26 12:00:18 EDT
Created attachment 740488 [details]
Updated git.service
Comment 10 Zbigniew Jędrzejewski-Szmek 2013-04-26 12:01:12 EDT
Could this happen before Fedora 19?
Comment 11 Fedora Update System 2013-04-30 14:57:36 EDT
git-1.8.2.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-1.8.2.1-2.fc19
Comment 12 Todd Zullinger 2013-04-30 16:04:39 EDT
Thanks Tom.

Just for the record, we'll eventually need to redo this to take older releases into account.  We've tried hard to make it easy to build git for EL releases from the current spec files.  I've talked to a lot of folks that appreciate this ability (and none who have ever cared about systemd, coincidentally). :)
Comment 13 Fedora Update System 2013-05-01 16:43:51 EDT
Package git-1.8.2.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-1.8.2.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7189/git-1.8.2.1-2.fc19
then log in and leave karma (feedback).
Comment 14 Anthony Messina 2013-07-20 16:02:53 EDT
After upgrading from F18 to F19, and enabling git.socket, I get the following error when trying to connect from another host.

systemd[1]: git.socket failed to queue service startup job (Maybe the service file is missing or not a template unit?): Invalid argument
systemd[1]: Unit git.socket entered failed state.

git-daemon-1.8.3.1-1.fc19.x86_64
Comment 15 Anthony Messina 2013-07-20 16:24:37 EDT
(In reply to Anthony Messina from comment #14)
> After upgrading from F18 to F19, and enabling git.socket, I get the
> following error when trying to connect from another host.
> 
> systemd[1]: git.socket failed to queue service startup job (Maybe the
> service file is missing or not a template unit?): Invalid argument
> systemd[1]: Unit git.socket entered failed state.
> 
> git-daemon-1.8.3.1-1.fc19.x86_64

I aplogize, I see that Bug 980574 is filed.
Comment 16 Jóhann B. Guðmundsson 2014-05-26 05:47:27 EDT
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.